Page MenuHomePhabricator

Show "we were unable to make citation for you" instead of offering completely empty template.
Closed, ResolvedPublic1 Story Points

Description

Citoid is an extension that allows you to add citations from a url or other identifier from the Visual Editor.

Getting started:

Install mediawiki, enable citoid, and make sure to import the listed templates:
https://www.mediawiki.org/wiki/Citoid#Installation_2

We should show the "we could not make a citation for you" error if no template parameters have been added to the citation. We could check to see if the template is empty of parameters before offering up the suggestion in the inspector. You can mimic this behaviour locally by removing the template data ( i.e. content between <templatedata> tags in Template/Cite_web/doc) and then inserting a citation in visual editor from a url that would be a web citation i.e. http://twitter.com.

Event Timeline

Mvolz created this task.Mar 11 2015, 6:49 PM
Mvolz raised the priority of this task from to Needs Triage.
Mvolz updated the task description. (Show Details)
Mvolz added a project: Citoid.
Mvolz moved this task to Extension on the Citoid board.
Mvolz added subscribers: Mvolz, KHammerstein, Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 6:49 PM
Jdforrester-WMF triaged this task as Low priority.Apr 27 2015, 8:15 PM
Jdforrester-WMF set Security to None.
Mvolz renamed this task from Have some sort of error if there is no map, or no matching template parameters, associated with a type. to Show "we were unable to make citation for you" instead of offering completely empty template. .May 6 2015, 5:47 PM
Mvolz claimed this task.May 11 2015, 10:27 AM
Mvolz removed Mvolz as the assignee of this task.Aug 5 2015, 8:18 AM
Samtar added a subscriber: Samtar.

Willing to mentor for Google-Code-In-2016

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 27 2016, 8:31 AM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript

Willing to mentor for Google-Code-In-2016

I would caution that whilst the actual change itself is probably okay, this one requires A LOT of set-up/yak shaving to get to that point. I think in the past we've avoided doing VE tasks for code-in for that reason? Now that vagrant is more mature, maybe it's less of an issue?

@Mvolz you may well be right - I'll give this a once over and see what sort of setup would be required. I imagine vagrant will significantly speed up getting the development environment up and running, but this could be a bit too much for Code-In

@Samtar: Any clarifications regarding expectations and scope when it comes to GCI? Could this be broken down into small sized tasks or not?

No, definitely not. It's a single task. Just with a lot of yak shaving :).

On second reading, this is really two distinct tasks (but still difficult for the same reasons.)

Mvolz updated the task description. (Show Details)Nov 28 2016, 12:17 AM

If there's no matching map, we do already have an error for that (unable to make a citation for you) and I'm not sure we should add a special one in. It'd probably just confuse users. So I have removed that part of the task.

Mvolz updated the task description. (Show Details)Nov 28 2016, 12:20 AM

Change 326112 had a related patch set uploaded (by Mvolz):
ve.ui.CiteFromIdInspector: Add check for empty templates

https://gerrit.wikimedia.org/r/326112

Mvolz closed this task as Resolved.Dec 20 2016, 12:00 PM

Change 326112 merged by jenkins-bot:
ve.ui.CiteFromIdInspector: Add check for empty templates

https://gerrit.wikimedia.org/r/326112

Jdforrester-WMF set the point value for this task to 1.